curl --request GET \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/inboxes \
--header 'api-access-token: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/inboxes"
headers = {"api-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-access-token': '<api-key>'}};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payload": [
{
"id": 123,
"name": "<string>",
"website_url": "<string>",
"channel_type": "<string>",
"avatar_url": "<string>",
"widget_color": "<string>",
"website_token": "<string>",
"enable_auto_assignment": true,
"web_widget_script": "<string>",
"welcome_title": "<string>",
"welcome_tagline": "<string>",
"greeting_enabled": true,
"greeting_message": "<string>",
"channel_id": 123,
"working_hours_enabled": true,
"enable_email_collect": true,
"csat_survey_enabled": true,
"auto_assignment_config": {},
"out_of_office_message": "<string>",
"working_hours": [
{
"day_of_week": 123,
"closed_all_day": true,
"open_hour": 123,
"open_minutes": 123,
"close_hour": 123,
"close_minutes": 123,
"open_all_day": true
}
],
"timezone": "<string>",
"callback_webhook_url": "<string>",
"allow_messages_after_resolved": true,
"lock_to_single_conversation": true,
"sender_name_type": "<string>",
"business_name": "<string>",
"branded_email_layout": "<string>",
"hmac_mandatory": true,
"selected_feature_flags": [
"<string>"
],
"reply_time": "<string>",
"messaging_service_sid": "<string>",
"phone_number": "<string>",
"medium": "<string>",
"provider": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}List all inboxes
List all inboxes available in the current account
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Response
Success
Array of inboxes
Hide child attributes
Hide child attributes
ID of the inbox
The name of the inbox
Website URL
The type of the inbox
The avatar image of the inbox
Widget Color used for customization of the widget
Website Token
The flag which shows whether Auto Assignment is enabled or not
Script used to load the website widget
Welcome title to be displayed on the widget
Welcome tagline to be displayed on the widget
The flag which shows whether greeting is enabled
A greeting message when the user starts the conversation
ID of the channel this inbox belongs to
The flag which shows whether working hours feature is enabled
The flag to enable collecting email from contacts
The flag to enable CSAT survey
Configuration settings for auto assignment
Message to show when agents are out of office
Configuration for working hours of the inbox
Hide child attributes
Hide child attributes
Day of the week (0-6, where 0 is Sunday)
Whether the inbox is closed for the entire day
Hour when inbox opens (0-23)
Minutes of the hour when inbox opens (0-59)
Hour when inbox closes (0-23)
Minutes of the hour when inbox closes (0-59)
Whether the inbox is open for the entire day
Timezone configuration for the inbox
Webhook URL for callbacks
Whether to allow messages after a conversation is resolved
Whether to lock a contact to a single conversation
Type of sender name to display (e.g., friendly)
Business name associated with the inbox
Liquid HTML layout for branded email replies. Available to administrators for Email inbox show/update responses.
Whether HMAC verification is mandatory
Selected feature flags for the inbox
Expected reply time
Messaging service SID for SMS providers
Phone number associated with the inbox
Medium of communication (e.g., sms, email)
Provider of the channel